package cn.iocoder.yudao.module.inspection.service.impl;

import java.util.List;
import cn.iocoder.yudao.module.inspection.entity.DelInspectionInfo;
import cn.iocoder.yudao.module.inspection.mapper.DelInspectionInfoMapper;
import cn.iocoder.yudao.module.inspection.service.IDelInspectionInfoService;
import cn.iocoder.yudao.util.DateUtils;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2024-05-08
 */
@Service
public class DelInspectionInfoServiceImpl implements IDelInspectionInfoService
{
    @Autowired
    private DelInspectionInfoMapper delInspectionInfoMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public DelInspectionInfo selectDelInspectionInfoById(Long id)
    {
        return delInspectionInfoMapper.selectDelInspectionInfoById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param delInspectionInfo 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public IPage<DelInspectionInfo> selectDelInspectionInfoList(Page<DelInspectionInfo> page, DelInspectionInfo delInspectionInfo)
    {
        return delInspectionInfoMapper.selectDelInspectionInfoList(page,delInspectionInfo);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param delInspectionInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertDelInspectionInfo(DelInspectionInfo delInspectionInfo)
    {
        return delInspectionInfoMapper.insertDelInspectionInfo(delInspectionInfo);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param delInspectionInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateDelInspectionInfo(DelInspectionInfo delInspectionInfo)
    {
        delInspectionInfo.setUpdateTime(DateUtils.getNowDate());
        return delInspectionInfoMapper.updateDelInspectionInfo(delInspectionInfo);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteDelInspectionInfoByIds(Long[] ids)
    {
        return delInspectionInfoMapper.deleteDelInspectionInfoByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteDelInspectionInfoById(Long id)
    {
        return delInspectionInfoMapper.deleteDelInspectionInfoById(id);
    }
}
